<?php
header("Content-Type: text/html; charset=utf-8"); 
if ($_SESSION['admin']) {$admin=true;} else {$admin=false;}
$titulopagina='Super-mar - Plataforma de gestion';
$tasaiva=0.19;
function afecha($fecha) {
	if ($fecha=='0000-00-00') {
		return '-';
	} else {
		$datosFechaConvertida=split("-",$fecha);
		return $datosFechaConvertida[2].'/'.$datosFechaConvertida[1].'/'.substr($datosFechaConvertida[0],2,2);
	}
}
function apesos($numero) {
$entero=(int)round($numero);
$dosdec=round((round($numero,2)-(int)$numero)*100,0);
$entstring=(string)$entero;
$largo=strlen($entstring);
unset($s);
$i=ceil($largo/3);
while ($i>0) {
$s[$i-1]=$entstring{$largo-3}.$entstring{$largo-2}.$entstring{$largo-1};
$largo=$largo-3;
$i=$i-1;
}
$i=ceil(strlen($entstring)/3);
$o=0;
$nroformat=$s[0];
while ($o<$i-1) {
$nroformat=$nroformat.".".$s[$o+1];
$o=$o+1;
}
return $nroformat;
}
//listado de clientes (select)
function optionclientes($mysqli,$Idcliente=0) {
	$qclientes=$mysqli->query('SELECT * FROM clientes ORDER BY razon');
	$rclientes=$qclientes->fetch_array();
	$optionclientes='<option value="">-------</option>';
	do {
		if ($rclientes['Idcliente']==$Idcliente) {
			$optionclientes.='<option value="'.$rclientes['Idcliente'].'" selected="selected">'.$rclientes['rut'].' --> '.$rclientes['razon'].'</option>';
		} else {
			$optionclientes.='<option value="'.$rclientes['Idcliente'].'">'.$rclientes['rut'].' --> '.$rclientes['razon'].'</option>';
		}
	} while ($rclientes=$qclientes->fetch_array()); 
	return $optionclientes;
}
//listado de proveedores (select)
function optionproveedores($mysqli,$Idproveedor=0) {
	$qproveedores=$mysqli->query('SELECT * FROM proveedores ORDER BY razon');
	$rproveedores=$qproveedores->fetch_array();
	$optionproveedores='<option value="">-------</option>';
	do {
		if ($rproveedores['Idproveedor']==$Idproveedor) {
			$optionproveedores.='<option value="'.$rproveedores['Idproveedor'].'" selected="selected">'.$rproveedores['rut'].' --> '.$rproveedores['razon'].'</option>';
		} else {
			$optionproveedores.='<option value="'.$rproveedores['Idproveedor'].'">'.$rproveedores['rut'].' --> '.$rproveedores['razon'].'</option>';
		}
	} while ($rproveedores=$qproveedores->fetch_array()); 
	return $optionproveedores;
}
//listado de sucursales
function optionsucursales($mysqli,$Idsucursal=0) {
	$qsucursal=$mysqli->query('SELECT * FROM sucursales WHERE Idsucursal<>"1" ORDER BY descripcion');
	$rsucursal=$qsucursal->fetch_array();
	$optionsucursal='<option value="">-------</option>';
	do {
		if ($rsucursal['Idsucursal']==$Idsucursal) {
			$optionsucursal.='<option value="'.$rsucursal['Idsucursal'].'" selected="selected">'.$rsucursal['descripcion'].'</option>';
		} else {
			$optionsucursal.='<option value="'.$rsucursal['Idsucursal'].'">'.$rsucursal['descripcion'].'</option>';
		}
	} while ($rsucursal=$qsucursal->fetch_array()); 
	return $optionsucursal;
}
function optionsucursalesconmatriz($mysqli,$Idsucursal=0) {
	$qsucursal=$mysqli->query('SELECT * FROM sucursales WHERE Idsucursal<>"1" ORDER BY descripcion');
	$rsucursal=$qsucursal->fetch_array();
	$optionsucursal='<option value="">-------</option>';
	if ($Idsucursal=="1") {
		$optionsucursal.='<option value="1" selected="selected">Casa matriz</option>';
	} else {
		$optionsucursal.='<option value="1">Casa matriz</option>';
	}
	do {
		if ($rsucursal['Idsucursal']==$Idsucursal) {
			$optionsucursal.='<option value="'.$rsucursal['Idsucursal'].'" selected="selected">'.$rsucursal['descripcion'].'</option>';
		} else {
			$optionsucursal.='<option value="'.$rsucursal['Idsucursal'].'">'.$rsucursal['descripcion'].'</option>';
		}
	} while ($rsucursal=$qsucursal->fetch_array()); 
	return $optionsucursal;
}

//listado de productos (select)
function optionproductos($mysqli) {
$qproductos=$mysqli->query('SELECT * FROM productos ORDER BY descripcion');
$rproductos=$qproductos->fetch_array();
$optionproductos='<option value="">-------</option>';
do {
$qprecio=$mysqli->query('SELECT * FROM precios WHERE Idproducto="'.$rproductos['Idproducto'].'" AND fecha<="'.date('Y-m-d').'" ORDER BY fecha DESC LIMIT 1');
$rprecio=$qprecio->fetch_array();
$optionproductos.='<option value="'.$rproductos['Idproducto'].'">'.$rproductos['codigo'].' --> '.$rproductos['descripcion'].'</option>';
} while ($rproductos=$qproductos->fetch_array()); 
return $optionproductos;
}
function optionproductosconprecio($mysqli) {
$qproductos=$mysqli->query('SELECT * FROM productos ORDER BY descripcion');
$rproductos=$qproductos->fetch_array();
$optionproductosconprecio='<option value="">-------</option>';
do {
$qprecio=$mysqli->query('SELECT * FROM precios WHERE Idproducto="'.$rproductos['Idproducto'].'" AND fecha<="'.date('Y-m-d').'" ORDER BY fecha DESC LIMIT 1');
$rprecio=$qprecio->fetch_array();
$optionproductosconprecio.='<option value="'.$rproductos['Idproducto'].'">'.$rproductos['codigo'].' --> '.$rproductos['descripcion'].' ($ '.apesos($rprecio['valorventa']).')</option>';
} while ($rproductos=$qproductos->fetch_array()); 
return $optionproductosconprecio;
}
//formas de pago
$optionformadepago='<option value="efectivo">efectivo</option><option value="redcompra">redcompra</option><option value="tarjeta de credito">tarjeta de credito</option><option value="cheque">cheque</option>';

function optiontiposdegasto($mysqli) {
$qtipo=$mysqli->query('SELECT * FROM tiposdegasto ORDER BY descripcion');
$rtipo=$qtipo->fetch_array();
$optiontipo='<option value="">-------</option>';
do {
$optiontipo.='<option value="'.$rtipo['descripcion'].'">'.$rtipo['descripcion'].'</option>';
} while ($rtipo=$qtipo->fetch_array()); 
return $optiontipo;
}

function optiontipodocumento($ftipodoc) {
$optiontipodocumento='<option value="todos">Todos los documentos</option>';
$optiontipodocumento.='<option value="">-------</option>';
if ($ftipodoc=="factura") {$optiontipodocumento.='<option value="factura" selected="selected">Factura</option>';} else {$optiontipodocumento.='<option value="factura">Factura</option>';}
if ($ftipodoc=="guia") {$optiontipodocumento.='<option value="guia" selected="selected">Guia de despacho</option>';} else {$optiontipodocumento.='<option value="guia">Guia de despacho</option>';}
if ($ftipodoc=="boleta") {$optiontipodocumento.='<option value="boleta" selected="selected">Boleta</option>';} else {$optiontipodocumento.='<option value="boleta">Boleta</option>';}
if ($ftipodoc=="sin documento") {$optiontipodocumento.='<option value="sin documento" selected="selected">Sin documento</option>';} else {$optiontipodocumento.='<option value="sin documento">Sin documento</option>';}
return $optiontipodocumento;
}
?>